sc::RenderedObjectSet Class Reference
Inheritance diagram for sc::RenderedObjectSet:
[legend]
Collaboration diagram for sc::RenderedObjectSet:
[legend]

## Public Member Functions

| RenderedObjectSet (int capacity=10)
| RenderedObjectSet (const Ref< KeyVal > &)
int | n () const
const Ref< RenderedObject > & | element (int i) const
virtual void | add (const Ref< RenderedObject > &)
Public Member Functions inherited from sc::RenderedObject
| RenderedObject (const Ref< Material > &=0)
| RenderedObject (const Ref< KeyVal > &)
const char * | name () const
void | set_name (const char *)
Ref< Material > | material () const
Ref< Appearance > | appearance () const
Ref< Transform > | transform () const
void | material (const Ref< Material > &m)
void | appearance (const Ref< Appearance > &a)
void | transform (const Ref< Transform > &t)
virtual void | print (std::ostream &=ExEnv::out0()) const
| Print the object.
Public Member Functions inherited from sc::DescribedClass
| DescribedClass (const DescribedClass &)
DescribedClass & | operator= (const DescribedClass &)
ClassDesc * | class_desc () const throw ()
| This returns the unique pointer to the ClassDesc corresponding to the given type_info object. More...
const char * | class_name () const
| Return the name of the object's exact type.
int | class_version () const
| Return the version of the class.
Public Member Functions inherited from sc::RefCount
int | lock_ptr () const
| Lock this object.
int | unlock_ptr () const
| Unlock this object.
void | use_locks (bool inVal)
| start and stop using locks on this object
refcount_t | nreference () const
| Return the reference count.
refcount_t | reference ()
| Increment the reference count and return the new count.
refcount_t | dereference ()
| Decrement the reference count and return the new count.
int | managed () const
void | unmanage ()
| Turn off the reference counting mechanism for this object. More...
int | managed () const
| Return 1 if the object is managed. Otherwise return 0.
Public Member Functions inherited from sc::Identity
Identifier | identifier ()
| Return the Identifier for this argument. More...

## Protected Member Functions

void | render (const Ref< Render > &)

## Additional Inherited Members

Protected Attributes inherited from sc::RenderedObject
char * | name_
Ref< Material > | material_
Ref< Appearance > | appearance_
Ref< Transform > | transform_

The documentation for this class was generated from the following file:

- object.h